<bugID>1169283<Summary>[Linux] Menu button displays an orange background while the Pocket button is opened from inside of it</Summary><Description>Created attachment 8612305
screenshot from Ubuntu 14.04 (x64)

Reproducible on:
RC 38.0.5-build4 (20150525141253)

Affected platforms:
Ubuntu 14.04 (x64)

Steps to reproduce:
1. Launch Firefox.
2. Go to about:config and set browser.uitour.testingOrigins to https://www-demo2.allizom.org.
3. Go to https://www-demo2.allizom.org/en-US/firefox/38.0.5/whatsnew/.
4. Right-click the Pocket button from the toolbar and select to move it to the menu.
5. Click the button from the demo page. Pay attention to the menu button.

Expected result:
Both the menu and the Pocket button are displayed properly.

Actual result:
The menu button displays an orange background if the Pocket menu is brought up by the tour.

Notes:
* This issue happens across locales, tested with en-US, de, es-ES, ja, ru.
* Happens ONLY on Linux.
* Might be a regression caused by Bug 1161810.
* Happens with 38.0.5b3 (20150518141916) as well.</Description></bugID>